### Method

# Ide Application get_argv

#### Declaration

    gchar**
    ide_application_get_argv (
      IdeApplication* self,
      GApplicationCommandLine* cmdline
    )

#### Description

Gets the commandline for `cmdline` as it was before any processing. This is useful to handle both local and remote processing of argv when you need to know what the arguments were before further options parsing.

Available since: | 3.32

#### Parameters

`cmdline` | `GApplicationCommandLine`
| A `GApplicationCommandLine`.
| The data is owned by the caller of the function.

#### Return value

Returns: | An array of `utf8`
| An array of strings or `NULL`.
| The array is `NULL`-terminated.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.
| Each element is a NUL terminated UTF-8 string.